%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary:	An ipod photo organizer
Name:		gpixpod
Version:	0.6.2
Release:	6%{?dist}
Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://www.gpixpod.org
Source0:	http://dl.sf.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:		gpixpod-setup.patch
Patch1:		gpixpod-exec.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python-devel
BuildRequires:	gtk2-devel
BuildRequires:	desktop-file-utils

%description
GPixPod let you manage your collection of photos uploading
them to your iPod, organizing them in photo albums.
Instead of the iTunes synchronization approach, GPixPod 
let you choose your manual operations on your photos and
photo albums, such as adding/deleting individual photos
and photo albums, and renaming photo albums

%prep
%setup -q 
%patch0 -p0 -b .setup
%patch1 -p0 -b .exec

# Silence rpmlint
sed -e '/^#!\//,1 d' -i {mh,gpixpod,gpixpod_cli}.py

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

mkdir -p %{buildroot}%{python_sitearch}/gpixpod
mv %{buildroot}%{python_sitearch}/*.* %{buildroot}%{python_sitearch}/gpixpod/

desktop-file-install --delete-original			\
	--vendor fedora					\
	--remove-category Application			\
	--dir %{buildroot}%{_datadir}/applications	\
	--mode 0644					\
	%{buildroot}%{_datadir}/applications/GPixPod.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc CHANGELOG COPYING KNOWNBUGS README TODO
%{_bindir}/gpixpod
%{python_sitearch}/gpixpod/
%{_datadir}/applications/fedora-GPixPod.desktop
%{_datadir}/gpixpod/
%{_mandir}/man1/gpixpod.1.gz

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.6.2-4
- Rebuild for Python 2.6

* Sun Feb 10 2008 Deji Akingunola <dakingun@gmail.com> - 0.6.2-3
- Rebuild for gcc43

* Wed Aug 22 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.2-2
- Rebuild for BuildID

* Fri Aug 03 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.2-2
- License tag update

* Thu Dec 28 2006 Deji Akingunola <dakingun@gmail.com> - 0.6.2-1
- Initial Fedora Package
